"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../../sheep/index.js");
require("../../../sheep/url/index.js");
require("../../../sheep/store/index.js");
require("../../../sheep/store/app.js");
require("../../../sheep/api/promotion/diy.js");
require("../../../sheep/request/index.js");
require("../../../sheep/config/index.js");
require("../../../sheep/platform/index.js");
require("../../../sheep/platform/provider/wechat/index.js");
require("../../../sheep/platform/provider/wechat/miniProgram.js");
require("../../../sheep/api/member/auth.js");
require("../../../sheep/api/member/social.js");
require("../../../sheep/api/member/user.js");
require("../../../sheep/platform/provider/apple/index.js");
require("../../../sheep/platform/share.js");
require("../../../sheep/router/index.js");
require("../../../sheep/hooks/useModal.js");
require("../../../sheep/helper/index.js");
require("../../../sheep/helper/test.js");
require("../../../sheep/helper/digit.js");
require("../../../sheep/helper/throttle.js");
require("../../../sheep/platform/pay.js");
require("../../../sheep/api/pay/order.js");
require("../../../sheep/store/user.js");
require("../../../sheep/store/cart.js");
require("../../../sheep/api/trade/cart.js");
require("../../../sheep/api/pay/wallet.js");
require("../../../sheep/api/trade/order.js");
require("../../../sheep/api/promotion/coupon.js");
require("../../../sheep/store/sys.js");
require("../../../sheep/store/modal.js");
require("../../../sheep/config/zIndex.js");
const _sfc_main = {
  __name: "commission-menu",
  setup(__props) {
    const state = common_vendor.reactive({
      menuList: [
        {
          img: "/static/img/shop/commission/commission_icon1.png",
          title: "我的团队",
          path: "/pages/commission/team"
        },
        {
          img: "/static/img/shop/commission/commission_icon2.png",
          title: "佣金明细",
          path: "/pages/commission/wallet"
        },
        {
          img: "/static/img/shop/commission/commission_icon3.png",
          title: "分销订单",
          path: "/pages/commission/order"
        },
        {
          img: "/static/img/shop/commission/commission_icon4.png",
          title: "推广商品",
          path: "/pages/commission/goods"
        },
        // {
        //   img: '/static/img/shop/commission/commission_icon5.png',
        //   title: '我的资料',
        //   path: '/pages/commission/apply',
        //   isAgentFrom: true,
        // },
        // todo @芋艿：邀请海报需要登录后的个人数据
        {
          img: "/static/img/shop/commission/commission_icon7.png",
          title: "邀请海报",
          path: "action:showShareModal"
        },
        // TODO @芋艿：缺少 icon
        {
          // img: '/static/img/shop/commission/commission_icon7.png',
          title: "推广排行",
          path: "/pages/commission/promoter"
        },
        {
          // img: '/static/img/shop/commission/commission_icon7.png',
          title: "佣金排行",
          path: "/pages/commission/commission-ranking"
        }
      ]
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.unref(sheep_index.sheep).$url.static("/static/img/shop/commission/title1.png"),
        b: common_vendor.f(state.menuList, (item, index, i0) => {
          return {
            a: common_vendor.unref(sheep_index.sheep).$url.static(item.img),
            b: common_vendor.t(item.title),
            c: index,
            d: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go(item.path), index)
          };
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-a53c0bfa"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/pages/commission/components/commission-menu.vue"]]);
wx.createComponent(Component);
